%define build_with_qt3 0
Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Name:      	alsa-tools
Version:   	1.0.22
Release:   	1
License: 	GNU/GPL
URL:		http://www.alsa-project.org
Group:     	System/Configuration/Hardware
Source0: 	%{name}-%{version}.tar.bz2
Patch0:		%{name}-1.0.11-desktop.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Summary:   	The ALSA Tools package contains advanced tools for certain sound cards.
Requires:	dialog
BuildRequires:	dialog
BuildRequires:	ncurses-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%define tools ac3dec echomixer hdspconf hdspmixer mixartloader ld10k1 sb16_csp sscape_ctl usx2yloader as10k1 envy24control hdsploader pcxhrloader rmedigicontrol seq us428control vxloader

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: fltk-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glib
BuildRequires: glibc-devel
BuildRequires: gtk2+-devel
BuildRequires: libgcc
BuildRequires: libICE-devel
BuildRequires: libjpeg-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXft-devel
BuildRequires: pango-devel
%if %{build_with_qt3}
BuildRequires: qt3-devel
%endif
BuildRequires: zlib-devel

%description
The ALSA tools package contains advanced tools for certain sound cards,
such as DSP Loaders or DSP Assemblers

%package	devel
Summary:        Development package for the ALSA Tools.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description	devel
Development- & Headerfiles for ALSA TOOLS.

%package	hdsp
Summary:        Hammerfall HDSP mixer and config tools for ALSA.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description	hdsp
Hammerfall HDSP mixer and config tools for ALSA.

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
for i in %{tools}; do
	cd $i
	
   	if [ $i = "seq" ]
	then	
		cd sbiload
	fi

	if [ $i = "qlo10k1" ] 
	then
		%configure -prefix=%_prefix --mandir=%_mandir --with-qtdir=/usr/lib/qt-3.3/
	else
		%configure -prefix=%_prefix --mandir=%_mandir
	fi

	make

	if [ $i = "seq" ]
        then
                cd ..
        fi

	cd ..  
done

%if %{build_with_qt3}
	cd qlo10k1
	%configure -prefix=%_prefix --mandir=%_mandir --with-qtdir=/usr/lib/qt-3.3/
	make
%endif


%install
for i in %{tools}; do

	j=$i

 	if [ $i = "seq" ]
        then
                j="seq/sbiload"
        fi

        make install -C $j DESTDIR=%{buildroot} 
done

%if %{build_with_qt3}
        make install -C qlo10k1 DESTDIR=%{buildroot}
%endif


# move man files to the right spot
# mkdir -p $RPM_BUILD_ROOT/usr/share
# mv $RPM_BUILD_ROOT/usr/man $RPM_BUILD_ROOT/usr/share/

%files
%defattr(-,root,root)
%_sysconfdir
%_bindir/ac3dec
%_bindir/as10k1
%_bindir/cspctl
%_bindir/echomixer
%_bindir/envy24control
%_bindir/extract_ac3
%_bindir/init_audigy
%_bindir/init_audigy_eq10
%_bindir/init_live
%_bindir/lo10k1
%_bindir/mixartloader
%_bindir/pcxhrloader
%if %{build_with_qt3}
%_bindir/qlo10k1
%endif
%_bindir/rmedigicontrol
%_bindir/sbiload
%_bindir/sscape_ctl
%_bindir/us428control
%_bindir/usx2yloader
%_bindir/vxloader
%_sbindir
%_libdir/*.so.*
%_datadir/ld10k1
%_datadir/sounds
%_mandir

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.so
%_libdir/*.la
%_aclocal

%files hdsp
%defattr(-,root,root)
%_bindir/hdspconf
%_bindir/hdsploader
%_bindir/hdspmixer
%_applications
%_pixmaps

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Dec 29 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.22-1
- version update
* Fri Oct 02 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.21-1
- version update
* Tue Aug 11 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.20-1
- version update
- disabled qlo10k1 to get rid of qt3 dependency
* Sat Nov 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.18-1
- version update
* Sat Jun 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.17-1
- version update
- rc1
* Sat Feb 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.16-1
- version update
* Tue Oct 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.15-1
- version update
* Tue Jun 05 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.14-1
- version update
* Wed Oct 11 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.13-1
- Version update
* Wed Aug 30 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.12-1
- version update
* Wed May 03 2006 Christian Wasem <wasem@ccux-linux.de> 1.0.11-2
- rebuilt, moved hdsp stuff in an own subpackage,
- added desktop patch
* Sat Apr 22 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.11-1
- Version update
* Sun Dec 11 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.10-2
- Redefined files list, moved more files to devel package
* Fri Dec 09 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.0.10-1
- Initial Release
